// リターンキーを押したか
function isReturnKey(event){
	var key = event.which || event.keyCode;
	return Event.KEY_RETURN == key;
}

// マウスポインタが行直下に来た時、背景色を変更
function onRowOver(row, index){
	row.style.backgroundColor = '#dfe';
}

// マウスポインタが行直下を離れた時、背景色を戻す
function onRowOut(row, index){
	var rowCheck = $('c_'+ index);
	updateRowBackgroundColor(row, rowCheck && rowCheck.checked);
}

// 行が選択された時、チェックボックスをクリックする
function onRowClick(row, index){
	var rowCheck = $('c_'+ index);
	if(rowCheck){
		rowCheck.checked = !rowCheck.checked;
		updateRowBackgroundColor(row, rowCheck && rowCheck.checked);
	}
}

//行の背景色を変更する
function updateRowBackgroundColor(row, checked){
	if(checked){
		row.style.backgroundColor ='#fec';
	}else{
		row.style.backgroundColor = 'transparent';
	}
}

//全選択、全解除
function onAllChecke(checked){
	var inputList = $('list').getElementsByTagName('input');
	for (i in inputList) {
		if(inputList[i] && inputList[i].type == 'checkbox' && inputList[i].checked != checked){
			inputList[i].checked = checked;
		}
	}
}

//選択された行のIDを取得
function getCheckedId(){
	var inputList = $('list').getElementsByTagName('input');
	var checkedId = '';
	for (i in inputList) {
		if(inputList[i] && inputList[i].type == 'checkbox' && inputList[i].checked){
			if(checkedId.length > 0){
				checkedId += ',';
			}
			checkedId += inputList[i].value;
		}
	}
	return checkedId;
}

//選択された行の数を取得
function getCheckedIdNumber(){
	var inputList = $('list').getElementsByTagName('input');
	var checkedIdNumber = 0;
	for (i in inputList) {
		if(inputList[i] && inputList[i].type == 'checkbox' && inputList[i].checked){
			checkedIdNumber++;
		}
	}
	return checkedIdNumber;
}